Update to 4.1.9; fix faces buffer overflow reported on BugTraq.

This commit is contained in:
naddy 2001-07-10 21:11:58 +00:00
parent ab7e12efd2
commit 441f96e032
7 changed files with 139 additions and 17 deletions

View File

@ -1,9 +1,9 @@
# $OpenBSD: Makefile,v 1.14 2001/06/06 22:08:29 naddy Exp $
# $OpenBSD: Makefile,v 1.15 2001/07/10 21:11:58 naddy Exp $
COMMENT= "graphics file viewer for X11"
VERSION= 4.1
REVISION= 6 # Debian
REVISION= 9 # Debian
DISTNAME= xloadimage.${VERSION}
PKGNAME= xloadimage-${VERSION}.${REVISION}
@ -50,6 +50,6 @@ do-install:
${INSTALL_MAN} ${WRKSRC}/uufilter.man ${PREFIX}/man/man1/uufilter.1
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/xloadimage
${INSTALL_DATA} ${WRKSRC}/xloadimagerc \
${PREFIX}/share/examples/xloadimage/xloadimagerc-sample
${PREFIX}/share/examples/xloadimage/xloadimagerc
.include <bsd.port.mk>

View File

@ -1,6 +1,6 @@
MD5 (xloadimage.4.1.tar.gz) = 7331850fc04056ab8ae6b5725d1fb3d2
MD5 (xloadimage_4.1-6.diff.gz) = 37d6d6d7108ed53e83b160111b883b54
MD5 (xloadimage_4.1-9.diff.gz) = 4d4f2106e90373a894967ebb22b7bdd4
RMD160 (xloadimage.4.1.tar.gz) = 000271b40f58601cd1057b4e99c31a30da6e10af
RMD160 (xloadimage_4.1-6.diff.gz) = 00bf474f1e7f8b38f853b9d5f7dac234141a4187
RMD160 (xloadimage_4.1-9.diff.gz) = 46bf3919bcfb0c32d25733bbdbac58c2136cf6b2
SHA1 (xloadimage.4.1.tar.gz) = 0a8ee9b185702750706f68e4a34e086873f17690
SHA1 (xloadimage_4.1-6.diff.gz) = 43b05d9757a462d5173020d58a3fb240cd054432
SHA1 (xloadimage_4.1-9.diff.gz) = 7b7e656debb1036da2a01345a436de4bb65a8753

View File

@ -1,11 +1,13 @@
$OpenBSD: patch-Makefile.in,v 1.2 2001/04/14 01:59:58 naddy Exp $
--- Makefile.in.orig Sat Apr 14 03:19:51 2001
+++ Makefile.in Sat Apr 14 03:20:47 2001
@@ -4,7 +4,7 @@
$OpenBSD: patch-Makefile.in,v 1.3 2001/07/10 21:12:00 naddy Exp $
--- Makefile.in.orig Tue Jul 10 19:24:46 2001
+++ Makefile.in Tue Jul 10 19:25:21 2001
@@ -3,8 +3,8 @@
#
CC = @CC@
DEFS = @DEFS@
-DEFS = @DEFS@ -DSYSPATHFILE=\"/etc/X11/Xloadimage\"
-CFLAGS = @CFLAGS@
+DEFS = @DEFS@ -DSYSPATHFILE=\"@sysconfdir@/xloadimagerc\"
+CFLAGS = @CFLAGS@ @CPPFLAGS@ @X_CFLAGS@
XLIB = @X_LIBS@ -lX11 @X_EXTRA_LIBS@
LDFLAGS = @LDFLAGS@

View File

@ -1,11 +1,12 @@
$OpenBSD: patch-xloadimage.man,v 1.2 2001/04/14 01:59:58 naddy Exp $
--- xloadimage.man.orig Sat Apr 14 03:01:24 2001
+++ xloadimage.man Sat Apr 14 03:10:56 2001
@@ -633,7 +633,6 @@ distribution.
$OpenBSD: patch-xloadimage.man,v 1.3 2001/07/10 21:12:00 naddy Exp $
--- xloadimage.man.orig Tue Jul 10 19:26:48 2001
+++ xloadimage.man Tue Jul 10 19:27:11 2001
@@ -633,7 +633,7 @@ distribution.
xloadimage - the image loader and viewer
xsetbg - pseudonym which quietly sets the background
xview - pseudonym which views in a window
-/etc/X11/Xloadimage - default system-wide configuration file
+/etc/xloadimagerc - default system-wide configuration file
~/.xloadimagerc - user's personal configuration file
.in -5
.fi

View File

@ -0,0 +1,51 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1 2001/07/10 21:12:01 naddy Exp $
#
# De-installation setup of xloadimage
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR:-/etc}/xloadimagerc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -0,0 +1,68 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1 2001/07/10 21:12:02 naddy Exp $
#
# Pre/post-installation setup of xloadimage
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=${SYSCONFDIR:-/etc}/xloadimagerc
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/xloadimage
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/xloadimagerc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs"
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.5 2001/06/06 22:08:30 naddy Exp $
@comment $OpenBSD: PLIST,v 1.6 2001/07/10 21:12:02 naddy Exp $
bin/uufilter
bin/xloadimage
bin/xsetbg
@ -7,5 +7,5 @@ man/man1/uufilter.1
man/man1/xloadimage.1
man/man1/xsetbg.1
man/man1/xview.1
share/examples/xloadimage/xloadimagerc-sample
share/examples/xloadimage/xloadimagerc
@dirrm share/examples/xloadimage